Package org.apache.ignite.mxbean

## Interface ClientProcessorMXBean

-     @Deprecated
      @MXBeanDescription("MBean that provides information about client connections.")
      public interface ClientProcessorMXBean

  Deprecated.
  Use managements API beans, instead.
  MXBean interface that provides access to ODBC\JDBC\Thin client connections.
  See Also:
    `CommandMBean`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dropAllConnections()` | Deprecated. Drop all active connections.
    `boolean` | `dropConnection​(long id)` | Deprecated. Drops client connection by `id`, if exists.
    `List<String>` | `getConnections()` | Deprecated. Returns list of active connections.
    `void` | `showFullStackOnClientSide​(boolean show)` | Deprecated. If sets to `true` shows full stack trace otherwise highlevel short error message.

- - ### Method Detail

    - #### getConnections

          @MXBeanDescription("List of client connections.")
          List<String> getConnections()

      Deprecated.
      Returns list of active connections.
      Returns:
        Sessions.

    - #### dropAllConnections

          @MXBeanDescription("Drop all client connections.")
          void dropAllConnections()

      Deprecated.
      Drop all active connections.

    - #### dropConnection

          @MXBeanDescription("Drop client connection by ID.")
          boolean dropConnection​(@MXBeanParameter(name="id",description="Client connection ID.")
                                 long id)

      Deprecated.
      Drops client connection by `id`, if exists.
      Parameters:
        `id` - connection id.
      Returns:
        `True` if connection has been dropped successfully, `false` otherwise.

    - #### showFullStackOnClientSide

          @MXBeanDescription("Show error full stack.")
          void showFullStackOnClientSide​(@MXBeanParameter(name="show",description="Show error full stack.")
                                         boolean show)

      Deprecated.
      If sets to `true` shows full stack trace otherwise highlevel short error message.
      Parameters:
        `show` - Show flag.